dcm4chee-oracle-java : install oracle java rpm

SK [dcm4chee-oracle-java : install oracle java rpm] ************************ task path: /opt/bahmni-installer/bahmni-playbooks/roles/dcm4chee-oracle-java/tasks/dcm4chee-oracle-java.yml:1 fatal: [localhost]: FAILED! => {“changed”: false, “failed”: true, “msg”: “No RPM file matching ‘/opt/jre-7u79-linux-x64.rpm’ found on system”, “rc”: 127, “results”: [“No RPM file matching ‘/opt/jre-7u79-linux-x64.rpm’ found on system”]} to retry, use: --limit @/opt/bahmni-installer/bahmni-playbooks/all.retry

PLAY RECAP ********************************************************************* localhost : ok=222 changed=87 unreachable=0 failed=1

Traceback (most recent call last): File “/usr/bin/bahmni”, line 9, in load_entry_point(‘bahmni==0.1’, ‘console_scripts’, ‘bahmni’)() File “/usr/lib/python2.6/site-packages/click-6.7-py2.6.egg/click/core.py”, line 722, in call return self.main(*args, **kwargs) File “/usr/lib/python2.6/site-packages/click-6.7-py2.6.egg/click/core.py”, line 697, in main rv = self.invoke(ctx) File “/usr/lib/python2.6/site-packages/click-6.7-py2.6.egg/click/core.py”, line 1066, in invoke return _process_result(sub_ctx.command.invoke(sub_ctx)) File “/usr/lib/python2.6/site-packages/click-6.7-py2.6.egg/click/core.py”, line 895, in invoke return ctx.invoke(self.callback, **ctx.params) File “/usr/lib/python2.6/site-packages/click-6.7-py2.6.egg/click/core.py”, line 535, in invoke return callback(*args, **kwargs) File “/usr/lib/python2.6/site-packages/click-6.7-py2.6.egg/click/decorators.py”, line 17, in new_func return f(get_current_context(), *args, **kwargs) File “/usr/lib/python2.6/site-packages/bahmni-0.1-py2.6.egg/bahmni.py”, line 91, in install return subprocess.check_call(command, shell=True) File “/usr/lib64/python2.6/subprocess.py”, line 505, in check_call raise CalledProcessError(retcode, cmd) subprocess.CalledProcessError: Command ‘ansible-playbook -i /etc/bahmni-installer/local all.yml -vv --extra-vars ‘@/etc/bahmni-installer/rpm_versions.yml’ --extra-vars ‘@/etc/bahmni-backrest.conf’ --extra-vars ‘@/etc/bahmni-installer/setup.yml’’ returned non-zero exit status 2 [root@district ~]#

Oracle java 7 is no longer automatically download-able. Please check the release notes for Bahmni 0.89, and specifically upgrade instructions, where it details the process of Java 7 dependency.